Index: sasmodels/models/core_shell_bicelle_elliptical.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/core_shell_bicelle_elliptical.py	(revision fc3ae1b048f9f1a5decf2a1e56be7ff62491e36b)
@@ -9,5 +9,4 @@
 scattering length densities. The form factor is normalized by the total
 particle volume.
-
 
 .. figure:: img/core_shell_bicelle_geometry.png
@@ -91,10 +90,9 @@
 for further information.
 
-
 .. figure:: img/elliptical_cylinder_angle_definition.png
 
     Definition of the angles for the oriented core_shell_bicelle_elliptical particles.
 
-
+Model verified using Monte Carlo simulation for 1D and 2D scattering.
 
 References
@@ -108,5 +106,5 @@
 * **Author:** Richard Heenan **Date:** December 14, 2016
 * **Last Modified by:**  Richard Heenan **Date:** December 14, 2016
-* **Last Reviewed by:**  Richard Heenan BEWARE 2d data yet to be checked **Date:** December 14, 2016
+* **Last Reviewed by:**  Paul Kienzle **Date:** Feb 28, 2018
 """
 
@@ -130,6 +128,6 @@
 #             ["name", "units", default, [lower, upper], "type", "description"],
 parameters = [
-    ["radius",         "Ang",       30, [0, inf],    "volume",      "Cylinder core radius"],
-    ["x_core",        "None",       3,  [0, inf],    "volume",      "axial ratio of core, X = r_polar/r_equatorial"],
+    ["radius",         "Ang",       30, [0, inf],    "volume",      "Cylinder core radius r_minor"],
+    ["x_core",        "None",       3,  [0, inf],    "volume",      "Axial ratio of core, X = r_major/r_minor"],
     ["thick_rim",  "Ang",            8, [0, inf],    "volume",      "Rim shell thickness"],
     ["thick_face", "Ang",           14, [0, inf],    "volume",      "Cylinder face thickness"],
@@ -139,7 +137,7 @@
     ["sld_rim",        "1e-6/Ang^2", 1, [-inf, inf], "sld",         "Cylinder rim scattering length density"],
     ["sld_solvent",    "1e-6/Ang^2", 6, [-inf, inf], "sld",         "Solvent scattering length density"],
-    ["theta",       "degrees",    90.0, [-360, 360], "orientation", "cylinder axis to beam angle"],
-    ["phi",         "degrees",    0,    [-360, 360], "orientation", "rotation about beam"],
-    ["psi",         "degrees",    0,    [-360, 360], "orientation", "rotation about cylinder axis"]
+    ["theta",       "degrees",    90.0, [-360, 360], "orientation", "Cylinder axis to beam angle"],
+    ["phi",         "degrees",    0,    [-360, 360], "orientation", "Rotation about beam"],
+    ["psi",         "degrees",    0,    [-360, 360], "orientation", "Rotation about cylinder axis"]
     ]
 
Index: sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py	(revision 108e70e22154db937a6d46f66be6dd70408cce6d)
+++ sasmodels/models/core_shell_bicelle_elliptical_belt_rough.py	(revision fc3ae1b048f9f1a5decf2a1e56be7ff62491e36b)
@@ -140,6 +140,6 @@
 #             ["name", "units", default, [lower, upper], "type", "description"],
 parameters = [
-    ["radius",         "Ang",       30, [0, inf],    "volume",      "Cylinder core radius"],
-    ["x_core",        "None",       3,  [0, inf],    "volume",      "axial ratio of core, X = r_polar/r_equatorial"],
+    ["radius",         "Ang",       30, [0, inf],    "volume",      "Cylinder core radius r_minor"],
+    ["x_core",        "None",       3,  [0, inf],    "volume",      "Axial ratio of core, X = r_major/r_minor"],
     ["thick_rim",  "Ang",            8, [0, inf],    "volume",      "Rim or belt shell thickness"],
     ["thick_face", "Ang",           14, [0, inf],    "volume",      "Cylinder face thickness"],
@@ -149,8 +149,8 @@
     ["sld_rim",        "1e-6/Ang^2", 1, [-inf, inf], "sld",         "Cylinder rim scattering length density"],
     ["sld_solvent",    "1e-6/Ang^2", 6, [-inf, inf], "sld",         "Solvent scattering length density"],
-    ["sigma",       "Ang",        0,    [0, inf],    "",            "interfacial roughness"],
-    ["theta",       "degrees",    90.0, [-360, 360], "orientation", "cylinder axis to beam angle"],
-    ["phi",         "degrees",    0,    [-360, 360], "orientation", "rotation about beam"],
-    ["psi",         "degrees",    0,    [-360, 360], "orientation", "rotation about cylinder axis"],
+    ["sigma",       "Ang",        0,    [0, inf],    "",            "Interfacial roughness"],
+    ["theta",       "degrees",    90.0, [-360, 360], "orientation", "Cylinder axis to beam angle"],
+    ["phi",         "degrees",    0,    [-360, 360], "orientation", "Rotation about beam"],
+    ["psi",         "degrees",    0,    [-360, 360], "orientation", "Rotation about cylinder axis"],
     ]
 
